Package ru.bitel.bgbilling.modules.bill.server.bean.extractor

# Class RSCMExtractor

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.bill.server.bean.DataExtractor
ru.bitel.bgbilling.modules.bill.server.bean.extractor.Extractor
ru.bitel.bgbilling.modules.bill.server.bean.extractor.RSCMExtractor

public class RSCMExtractor extends Extractor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMExtractor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PositionValue>`
  `extract(String function, Connection con, String cids, Calendar month, List<String> paramList, String posName)`
  `boolean`
  `serviceExtended(List<PositionValue> result, String function, Connection con, String cids, Calendar month, List<String> paramList)`
  `boolean`
  `serviceSimple(List<PositionValue> result, String function, Connection con, String cids, Calendar month, List<String> paramList)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.extractor.Extractor

  `makeTitle`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.DataExtractor

  `getAmount, getAmount, getAmount, getCountFromTable, getCountFromTable, getCountSession, getCountSession, getIdsFromEnd, getIntParam, getMonthParam, getSumFromTable`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSCMExtractor

    public RSCMExtractor()

- ## Method Details

  - ### extract

    public List<PositionValue> extract(String function, Connection con, String cids, Calendar month, List<String> paramList, String posName)
    Overrides:
      `extract` in class `Extractor`

  - ### serviceSimple

    public boolean serviceSimple(List<PositionValue> result, String function, Connection con, String cids, Calendar month, List<String> paramList)

  - ### serviceExtended

    public boolean serviceExtended(List<PositionValue> result, String function, Connection con, String cids, Calendar month, List<String> paramList)